const configGantt = {
  label: {
    beforeLabel: {
      field: "name",
      editor: {
        type: "textfield",
      },
    },
    afterLabel: {
      renderer: function ({ taskRecord }) {
        try {
          let resources = taskRecord.resources.map((resource) => ({
            resourcesName: resource.name,
          }));
          var names = resources.map(function (item) {
            return item["resourcesName"];
          });
          return names;
        } catch (ex) {
          return "";
        }
      },
      editor: {
        type: "textfield",
      },
    },
  },
  state: {
    gantt: [],
    resourceGrid: [],
    isLoaded: false,
  },
};

module.exports = { configGantt };
